Bug 466029 - fonts.dir refers to non-existent .bdf files, breaking accesses
Summary: fonts.dir refers to non-existent .bdf files, breaking accesses
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fonts-KOI8-R
Version: 13
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-10-07 19:27 UTC by Göran Uddeborg
Modified: 2010-07-23 02:38 UTC (History)
4 users (show)

Fixed In Version: fonts-KOI8-R-1.0-13.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-23 02:38:22 UTC


Attachments (Terms of Use)

Description Göran Uddeborg 2008-10-07 19:27:34 UTC
Description of problem:
The file /usr/share/fonts/KOI8-R/misc/fonts.dir contains two entries for each font, one for the pcf.gz file and one for a bdf file that isn't included in the package.  Apparently, the presence of the bdf entry breaks accesses to these fonts.  As an example, it contains:

9x15s.bdf -misc-fixed-medium-r-normal--15-140-75-75-c-90-koi8-ub
9x15s.pcf.gz -misc-fixed-medium-r-normal--15-140-75-75-c-90-koi8-ub

Version-Release number of selected component (if applicable):
fonts-KOI8-R-1.0-10.fc8.noarch

How reproducible:
Every time

Steps to Reproduce:
1. Install fonts-KOI8-R
2. xfd -fn 9x15
  
Actual results:
Warning: Cannot convert string "9x15" to type FontStruct
xfd:  no font to display

Expected results:
A window with the font displayed.

Additional info:
The bug can be avoided by rerunning mkfontdir in /usr/share/fonts/KOI8-R/misc.  (And trigger the X server to reread its font files.)  But there is no RPM script or other automatic way this is done.  It must be done "by hand" after installation by the system administrator.  And after doing this, the package fails a verify check by RPM.

Comment 1 Bug Zapper 2009-06-10 02:54:36 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Göran Uddeborg 2009-06-11 19:52:11 UTC
The problem is exactly the same in Fedora 11 (fonts-KOI8-R-1.0-11.fc11.noarch).

Comment 3 Bug Zapper 2010-04-27 12:15:48 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Göran Uddeborg 2010-04-29 19:04:03 UTC
The problem remains the same in Fedora 13 (fonts-KOI8-R-1.0-12.fc12.noarch)

Comment 5 Jens Petersen 2010-07-08 09:18:07 UTC
Rebuilding seems to fix the problem for me on F13.

Perhaps you could test this rawhide build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2303397

Comment 6 Fedora Update System 2010-07-14 07:03:34 UTC
fonts-KOI8-R-1.0-13.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fonts-KOI8-R-1.0-13.fc13

Comment 7 Fedora Update System 2010-07-14 22:55:24 UTC
fonts-KOI8-R-1.0-13.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fonts-KOI8-R'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fonts-KOI8-R-1.0-13.fc13

Comment 8 Göran Uddeborg 2010-07-15 10:14:15 UTC
It looks good now.

Comment 9 Fedora Update System 2010-07-23 02:38:15 UTC
fonts-KOI8-R-1.0-13.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.